Fork me on GitHub"

# skbio.diversity.alpha.lladser_ci

`skbio.diversity.alpha.``lladser_ci`(counts, r, alpha=0.95, f=10, ci_type='ULCL')

  Calculate single CI of the conditional uncovered probability.

  State: Experimental as of 0.4.0.

  Parameters:

  counts : 1-D array_like, int

  > Vector of counts.

  r : int

  > Number of new colors that are required for the next prediction.

  alpha : float, optional

  > Desired confidence level.

  f : float, optional

  > Ratio between upper and lower bound.

  ci_type : {‘ULCL’, ‘ULCU’, ‘U’, ‘L’}

  > Type of confidence interval. If `'ULCL'`, upper and lower bounds with conservative lower bound. If `'ULCU'`, upper and lower bounds with conservative upper bound. If `'U'`, upper bound only, lower bound fixed to 0.0. If `'L'`, lower bound only, upper bound fixed to 1.0.

  Returns:

  tuple

  > Confidence interval as `(lower_bound, upper_bound)`.

  See also

  `lladser_pe`

  Notes

  This function is just a wrapper around the full CI estimator described in Theorem 2 (iii) in [R6767], intended to be called for a single best CI estimate on a complete sample.

  References

  [R6767] | (1, 2) Lladser, Gouet, and Reeder, “Extrapolation of Urn Models via Poissonization: Accurate Measurements of the Microbial Unknown” PLoS 2011.